Subject: Re: bug#26586: 25.1; header-line-format spins cpu

From: Aaron Jensen <[email-masked]>
Date: Fri, 21 Apr 2017 07:29:00 -0700

Thanks for the quick fix and the info!

The code generating it was org-sticky-header
https://github.com/alphapapa/org-sticky-header/blob/master/org-sticky-header.el

I was investigating and infinite loop reported here:

https://github.com/alphapapa/org-sticky-header/issues/4

The org file that triggers the bug is:

* [[elisp:(org-projectile:open-project%20"foobar")][xxxxxxxxxx]]

which is generated by org-projectile

So, I'm guessing that org-sticky-header needs to escape or remove
elisp links before turning org headlines into a header?

On Fri, Apr 21, 2017 at 1:15 AM, Eli Zaretskii <[email-masked]> wrote:
>> From: Aaron Jensen <[email-masked]>
>> Date: Thu, 20 Apr 2017 23:17:22 -0700
>>
>> With emacs -Q, executing:
>>
>> (setq header-line-format '(#("*
>> [[elisp:(org-projectile:open-project%20\"foobar\")][xxxxxxxxxx]]" 0 1
>> [...]
>> Spins the CPU 100% until I kill emacs.
>
> You are shooting yourself in the foot by having that "%20" in the
> header-line-format.  Percent sign is special in mode-line and
> header-line formats: it indicates a %-construct, see the node
> "%-Constructs" in the ELisp manual.
>
> I fixed the code to avoid the infloop in this case, but you should fix
> your code, because the result will not be what you probably expect.
>
> Thanks.